# Class TwinInput

Input for loading a twin into the IFC loader. When passed to BimIfcLoader.add, the twin is resolved into an IfcWithOptions via the configured TwinInputResolver.

##### Index

### Constructors

constructor

### Properties

transform?
twinId
version?

### Methods

create

## Constructors

### constructor

- new TwinInput(twinId: string, version?: number, transform?: Matrix): TwinInput

  #### Parameters

  - twinId: string
  - `Optional` version: number
  - `Optional` transform: Matrix

  #### Returns TwinInput

## Properties

### `Optional` `Readonly` transform

transform?: Matrix

### `Readonly` twinId

twinId: string

### `Optional` `Readonly` version

version?: number

## Methods

### `Static` create

- create(
  twin: TwinGet | ListTwinItem,
  options?: { latestVersion?: boolean; transform?: Matrix },
  ): TwinInput

  #### Parameters

  - twin: TwinGet | ListTwinItem
  - `Optional` options: { latestVersion?: boolean; transform?: Matrix }

  #### Returns TwinInput